/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"

int
curret_check(XL_SEXP * s)
{
	switch ( get_type(s) ) {
	case XLT_NULL:
	case XLT_PAIR:
	case XLT_INTEGER:
	case XLT_FLOAT:
		return 0;
	case XLT_ERROR:
	case XLT_STRING:
	case XLT_SYMBOL:
	case XLT_FUNC:
	case XLT_DELAY:
	case XLT_PTR:
	case XLT_RAW:
	case XLT_ENV:
		return 1;
	default:
		er_panic("curret_check");
	}
	return 0;
}
